Bug 1479451 - Unable to authenticate against AD with kerberos using the `net' command [NEEDINFO]
Unable to authenticate against AD with kerberos using the `net' command
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Guenther Deschner
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:54 EDT by Ming Davies
Modified: 2017-10-17 10:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
asn: needinfo? (minyu)


Attachments (Terms of Use)

  None (edit)
Description Ming Davies 2017-08-08 10:54:57 EDT
Description of problem:
Customer said that it is no longer possible to authenticate against AD with kerberos using the `net' command. Every time they tried to using "net -k2, the net command attempted to use anonymous user against AD.

#kinit <username>
Password for <username>@<DOMAINNAME>: 
#net -d 1 -k -S HOSTNAME.FQDN RPC GETSID 
Cannot connect to server (anonymously).  Error was NT_STATUS_INVALID_PARAMETER_MIX
Connection failed: NT_STATUS_INVALID_PARAMETER_MIX
failed to make ipc connection: NT_STATUS_INVALID_PARAMETER_MIX


<<<It's working if trying the same command but without kerberos
# net -d 1 -U <usnername> -S HOSTNAME.FQDN  RPC GETSID 
Enter <username>'s password:
Storing SID S-1-5-21-1749005735-216031810-3716667389 for Domain DHCP10-210 in secrets.tdb

Version-Release number of selected component (if applicable):
samba-4.4.4-14.el7_3.x86_64

How reproducible:
I have not managed to reproduce the issue inhouse

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Andreas Schneider 2017-08-10 02:50:14 EDT
Can you get a network trace for this?

Note You need to log in before you can comment on or make changes to this bug.